openSUSE Security Update : python-mistune (openSUSE-2018-148)

Medium Nessus Plugin ID 106703

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for python-mistune to version 0.8.3 fixes several issues.

These security issues were fixed :

- CVE-2017-16876: Cross-site scripting (XSS) vulnerability in the _keyify function in mistune.py allowed remote attackers to inject arbitrary web script or HTML by leveraging failure to escape the 'key' argument (bsc#1072307).

- CVE-2017-15612: Prevent XSS via an unexpected newline (such as in java\nscript:) or a crafted email address, related to the escape and autolink functions (bsc#1064640).

These non-security issues were fixed :

- Fix nested html issue

- Fix _keyify with lower case.

- Remove non breaking spaces preprocessing

- Remove rev and rel attribute for footnotes

- Fix escape_link method

- Handle block HTML with no content

- Use expandtabs for tab

- Fix escape option for text renderer

- Fix HTML attribute regex pattern

- Fix strikethrough regex

- Fix HTML attribute regex

- Fix close tag regex

- Fix hard_wrap options on renderer.

- Fix emphasis regex pattern

- Fix base64 image link

- Fix link security per

- Fix inline html when there is no content per

Solution

Update the affected python-mistune packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1064640

https://bugzilla.opensuse.org/show_bug.cgi?id=1072307

Plugin Details

Severity: Medium

ID: 106703

File Name: openSUSE-2018-148.nasl

Version: $Revision: 3.1 $

Type: local

Agent: unix

Published: 2018/02/09

Modified: 2018/02/09

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

CVSSv3

Base Score: 6.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:python-mistune, p-cpe:/a:novell:opensuse:python3-mistune, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2018/02/08

Reference Information

CVE: CVE-2017-15612, CVE-2017-16876